# Environments — Mobile Robotics

The mobile robotics environments of the Space Robotics Bench focus on tasks involving locomotion, navigation, and traversal across different terrains and conditions.

## Ground Environments

### Velocity Tracking (`velocity_tracking`)

> Basic tracking of desired velocity commands

<iframe style="width:100%;aspect-ratio:16/9" src="https://www.youtube.com/embed/pP5C_oRZ8d8?si=c7exYUNWoG14uOlF&mute=1&autoplay=1&loop=1&playlist=pP5C_oRZ8d8" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>

### Velocity Tracking — Locomotion (`locomotion_velocity_tracking`)

> Locomotion with legged robots and humanoids while tracking desired velocity commands

<iframe style="width:100%;aspect-ratio:16/9" src="https://www.youtube.com/embed/aNYNWzyHPqM?si=DZWXL3oRD_9Si4Ha&mute=1&autoplay=1&loop=1&playlist=aNYNWzyHPqM" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>

<iframe style="width:100%;aspect-ratio:16/9" src="https://www.youtube.com/embed/sJPVIq3kAHU?si=1pa5giAom6LpDArS&mute=1&autoplay=1&loop=1&playlist=sJPVIq3kAHU" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>

### Waypoint Navigation (`waypoint_navigation`)

> Navigation to a dynamic waypoint

<iframe style="width:100%;aspect-ratio:16/9" src="https://www.youtube.com/embed/fXtG5wGvWt0?si=NGg7SycGHDhARU0F&mute=1&autoplay=1&loop=1&playlist=fXtG5wGvWt0" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>

### Waypoint Navigation — Locomotion (`locomotion_waypoint_navigation`)

> Navigation to a dynamic waypoint with legged robots and humanoids

<iframe style="width:100%;aspect-ratio:16/9" src="https://www.youtube.com/embed/Pap-QDMsHk4?si=Y-m-XkiRgBCjJ8Jz&mute=1&autoplay=1&loop=1&playlist=Pap-QDMsHk4" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>

## Aerial Environments

<iframe style="width:100%;aspect-ratio:16/9" src="https://www.youtube.com/embed/qF6r1pAr5zg?si=EJUBoUCwxKtyf-RP&mute=1&autoplay=1&loop=1&playlist=qF6r1pAr5zg" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>

## Orbital Environments

### Landing (`landing`)

> Landing of spacecraft on planetary surfaces with varying terrain and obstacles

<iframe style="width:100%;aspect-ratio:16/9" src="https://www.youtube.com/embed/BLe6AtlZk6g?si=acLGoHi2U6UO5oSz&mute=1&autoplay=1&loop=1&playlist=BLe6AtlZk6g" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>

<iframe style="width:100%;aspect-ratio:16/9" src="https://www.youtube.com/embed/0RyxarshEx0?si=lMhkMlC4r588UbNg&mute=1&autoplay=1&loop=1&playlist=0RyxarshEx0" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>

### Rendezvous (`rendezvous`)

> Maneuvering of spacecraft in microgravity to rendezvous with an uncooperative target

<iframe style="width:100%;aspect-ratio:16/9" src="https://www.youtube.com/embed/61akiT5GRJY?si=jKuuaKt5KqeIJS3Y&mute=1&autoplay=1&loop=1&playlist=61akiT5GRJY" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>

### Orbital Evasion (`orbital_evasion`)

> Navigation of spacecraft in microgravity while avoiding obstacles

<iframe style="width:100%;aspect-ratio:16/9" src="https://www.youtube.com/embed/_qWqQ1CkqwA?si=kT00p82ug1PEz01-&mute=1&autoplay=1&loop=1&playlist=_qWqQ1CkqwA" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
